package com.bizofficer.apiweb.forgotpassword;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class ResendOtpMobileFPController {
	
	@Autowired
	private ResendOtpMobileFPService loginServiceObj;
	
	@RequestMapping(value = {"/resend-resetpassword-otpmobile"}, method = {RequestMethod.POST})
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")FPBean objBean) {
		
		try {
			
			System.out.println("ResendOtpMobileFPController UserId: "+objBean.getUserId() );
			
			FPResponseBean tsrbObj = (FPResponseBean) (Object) loginServiceObj.execute(objBean);
			
			System.out.println("ResendOtpMobileFPController ResponseTxt: "+tsrbObj.getResponseTxt());
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(tsrbObj);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
