package com.bizofficer.apiweb.login;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class MobileLoginController {
	
	@Autowired
	private MobileLoginService serviceObj;
	
	////mobilelogin?userId=&password=
	@RequestMapping(value = {"/mobilelogin"}, method = {RequestMethod.POST})
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")LoginBean objBean) {
		
		try {
			
			System.out.println("MobileLoginController UserId: "+objBean.getUserId() );
			System.out.println("MobileLoginController Login Key: "+objBean.getLoginKey() );
			
			LoginResponseBean tsrbObj = (LoginResponseBean) (Object) serviceObj.execute(objBean);
			
			System.out.println("MobileLoginController ResponseTxt: "+tsrbObj.getResponseTxt());
			////System.out.println("MobileLoginController Token: "+tsrbObj.getToken());
			System.out.println("MobileLoginController LoginKey: "+tsrbObj.getLoginKey());
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(tsrbObj);
			
		} catch (Exception e) {
			e.printStackTrace();
			/////return ResponseEntity.status(HttpStatus.INTERNAL_SERVER_ERROR).body(e);
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
