package com.bizofficer.apiweb.topics;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Service
public class TopicTestTopicsController {
	
	@Autowired
	private TopicTestTopicsService cclsObj;

	////topictest-topics?templateId=1&searchQry=a
	@SuppressWarnings("unchecked")
	@RequestMapping(value = {"/topictest-topics"}, method = RequestMethod.GET)
	public ResponseEntity<Object> execute(@ModelAttribute("SpringWeb")TopicBean objBean) {
		
		try {
			
			List<CoursesTopicBean> list = (List<CoursesTopicBean>) (Object) cclsObj.doExecute(objBean);
			
			HttpHeaders headers = new HttpHeaders();
	        ////headers.add("Responded", "UserController");
	        return ResponseEntity.ok().headers(headers).body(list);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return new ResponseEntity<>(HttpStatus.BAD_REQUEST);
	}
	

	
	
}
