package com.bizofficer.hibernate.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import com.bizofficer.hibernate.entity.OrganisationInfo;


@Repository
public interface OrganisationInfoRepository extends JpaRepository<OrganisationInfo, Long> {

	List<OrganisationInfo> findAllByOrderByOrganisationNameAsc();
	
	OrganisationInfo findOrganisationNameByOrganisationId(Integer organisationId);
	
}
