package com.bizofficer.hibernate.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.bizofficer.hibernate.entity.PgprepStudentCourses;


@Repository
public interface PgprepStudentCoursesRepository extends JpaRepository<PgprepStudentCourses, Long> {

	PgprepStudentCourses findIdBySid(Integer sid);
	
	PgprepStudentCourses findIdBySidAndCourseId(Integer sid, Integer courseId);
	
	@Transactional
	@Modifying
	void deleteByStudentId(String studentId);
	
}
