package com.bizofficer.hibernate.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.bizofficer.hibernate.entity.PgprepStudentDetails;


@Repository
public interface PgprepStudentDetailsRepository extends JpaRepository<PgprepStudentDetails, Long> {

	@Query(value = "SELECT id FROM PgprepStudentDetails where studentId=:studentId")
	List<Integer> getIdByStudentId(String studentId);
	
	PgprepStudentDetails findIdByStudentIdAndToken(String studentId, String token);
	
	PgprepStudentDetails findIdByStudentId(String studentId);
	
	PgprepStudentDetails findIdByIdNotAndStudentId(Integer id, String studentId);
	
}
