package com.bizofficer.hibernate.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.bizofficer.hibernate.entity.PgprepTopicContent;


@Repository
public interface PgprepTopicContentRepository extends JpaRepository<PgprepTopicContent, Long> {

	PgprepTopicContent getIdByContentName(String contentName);
	
	@Transactional
	@Modifying
	void deleteById(Integer id);
	
}
