package com.bizofficer.school.teachers;



import javax.persistence.EntityManagerFactory;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.crossstore.ChangeSetPersister.NotFoundException;
import org.springframework.stereotype.Service;

import com.bizofficer.hibernate.entity.PgprepSchoolUsers;
import com.bizofficer.hibernate.repository.PgprepSchoolUsersRepository;
import com.bizofficer.hibernate.repository.PgprepTeacherAssociationRepository;


@Service
public class DeleteTeacherAssociationService{
	
	@Autowired
	EntityManagerFactory entityManagerFactory;
	
	@Autowired
	PgprepSchoolUsersRepository adminRepo;
	
	@Autowired
	PgprepTeacherAssociationRepository techRepo;
	
	public Object execute(Object obj) throws NotFoundException{
		TeachBean objBean = (TeachBean) obj;
		TeachSaveResponseBean responseListObj = new TeachSaveResponseBean();
		
		try {
			
			responseListObj.setResponseTxt("failed");
			
			System.out.println("DeleteTeacherAssociationService EmailId >> " + objBean.getLoginEmailId() );
			System.out.println("DeleteTeacherAssociationService Token >> " + objBean.getToken() );
			
			System.out.println("DeleteTeacherAssociationService TeacherAssociationId >> " + objBean.getTeacherAssociationId() );
			
			if(objBean.getLoginEmailId()==null || objBean.getToken()==null) {
				return responseListObj;
			}
			
			PgprepSchoolUsers adminObj = (PgprepSchoolUsers) adminRepo.findByEmailIdAndLoginToken(objBean.getLoginEmailId(), objBean.getToken());
			System.out.println("Verify >> " + adminObj.getId() );
			
			if(adminObj.getId()==null) {
				return responseListObj;
			}

			System.out.println("DeleteTeacherAssociationService School Id >> " + adminObj.getSchoolId() );
			
			techRepo.deleteByIdAndSchoolId(objBean.getTeacherAssociationId(),adminObj.getSchoolId());
			responseListObj.setResponseTxt("success");
				
		        
		}catch(Exception e) {
			e.getStackTrace();
		}
		
		
		return responseListObj;
	}
	

	
	

	
	
}
