package com.bizofficer.module.util;

import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class RoleModules {
	
	private static final String students = "Students";
	private static final String courses = "Courses";
	private static final String courses_categories = "Courses_Categories";
	private static final String websites = "Websites";
	private static final String smart_learning_topic = "Smart_Learning_(Topic)";
	private static final String smart_learning_keyword = "Smart_Learning_(Keyword)";
	private static final String navigation_options = "Navigation_Options";
	private static final String treeview_sync = "Treeview_Sync";
	private static final String academy = "Academy";
	private static final String subjects = "Subjects";
	private static final String payments = "Payments";
	private static final String promo_codes = "Promo_Codes";
	private static final String roles = "Roles";
	private static final String users = "Users";
	
	private static final List<String> listModules;
    static
    {
    	List<String> listX = new ArrayList<>();
    	listX.add(students);
    	listX.add(courses);
    	listX.add(courses_categories);
    	listX.add(websites);
    	listX.add(smart_learning_topic);
    	listX.add(smart_learning_keyword);
    	listX.add(navigation_options);
    	listX.add(treeview_sync);
    	listX.add(academy);
    	listX.add(subjects);
    	listX.add(payments);
    	listX.add(promo_codes);
    	listX.add(roles);
    	listX.add(users);  
    	
    	listModules = Collections.unmodifiableList(listX);
    	
    }
	
	private static final Map<String, String> mapModules;
    static
    {
    	Map<String, String> mapX = new HashMap<>();
    	mapX.put("students", students);
    	mapX.put("courses", courses);
    	mapX.put("coursescategories", courses_categories);
    	mapX.put("websites", websites);
    	mapX.put("smartlearning", smart_learning_topic);
    	mapX.put("keywordcontent", smart_learning_keyword);
    	mapX.put("navigationoptions", navigation_options);
    	mapX.put("treeviewsync", treeview_sync);
    	mapX.put("academy", academy);
    	mapX.put("subjects", subjects);
    	mapX.put("payments", payments);
    	mapX.put("promocodes", promo_codes);
    	mapX.put("roles", roles);
    	mapX.put("users", users);
    	
    	mapModules = Collections.unmodifiableMap(mapX);
    }
    
	

	public static String getStudents() {
		return students;
	}

	public static String getCourses() {
		return courses;
	}

	public static String getCoursesCategories() {
		return courses_categories;
	}

	public static String getWebsites() {
		return websites;
	}

	public static String getSmartLearningTopic() {
		return smart_learning_topic;
	}

	public static String getSmartLearningKeyword() {
		return smart_learning_keyword;
	}

	public static String getNavigationOptions() {
		return navigation_options;
	}

	public static String getTreeviewSync() {
		return treeview_sync;
	}

	public static String getAcademy() {
		return academy;
	}

	public static String getSubjects() {
		return subjects;
	}

	public static String getPayments() {
		return payments;
	}

	public static String getPromoCodes() {
		return promo_codes;
	}

	public static String getRoles() {
		return roles;
	}

	public static String getUsers() {
		return users;
	}

	public static List<String> getListmodules() {
		return listModules;
	}

	public static Map<String, String> getMapmodules() {
		return mapModules;
	}

	

	
	
	

	
	
}
